MARTe2-core - User story #125

MARTe-EX-F-1.1.11: The framework shall provide portable methods to allow the endianity conversion
of any basic type.

29.05.2015 14:19 - André Neto

Status: Closed Start date:
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 16.00 hours
Target version: 0.1 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Implement requirement MARTe-EX-F-1.1.11 based on the original MARTe implementation

Note: Being a framework aimed at control systems it will naturally interact with a large type of 10 interfaces. Given that the endianess
encoding of the data arriving/sending from/to these interfaces cannot be prescribed, it is crucial for framework developers to have
these kind of functions available.

Note: Add 64 bit native support

Note: Use intrinsic in Visual Studio C++ compiler

Source code files modified

e Source/Core/LOPortability/Architecture/x86_cl/EndianityA.h
e Source/Core/LOPortability/Architecture/x86_gcc/EndianityA.h
e Source/Core/LOPortability/Endianity.cpp

¢ Source/Core/LOPortability/Endianity.h

Architecture & design review

Date of the review: 04/06/2015

Person who did the review: Andre' Neto

Version of architecture & designh document: N/A. This is a support class and does not require formal design in UML.
Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 18/06/2015

Person who did the review: lvan Herrero

Result of review: PASS

List of non-conformities: N/A

Unit test review

Date of the review: 02/07/2015
Person who did the review: lvan Herrero
Result of coverage tests review: PASS [100%)]
Result of functional tests review: PASS [100%)]
Result of review: PASS

List of non-conformities: N/A

Associated revisions

Revision 3d0bc7e0 - 12.06.2015 08:48 - Giuseppe Ferro

Corrected Atomic and Endianity classes.
#125 #126

Revision c657f7ab - 17.06.2015 08:17 - Giuseppe Ferro

Format code using new templates. #125

Revision 4c213848 - 18.06.2015 08:25 - Giuseppe Ferro

Fixed errors accordingly with revision
#125

Revision b99ba9f1 - 22.06.2015 17:02 - Giuseppe Ferro

Added Endianity tests.
#125

Revision 67518a30 - 25.06.2015 08:12 - Giuseppe Ferro

Added template to EndianityGTest.cpp
#125

Revision ¢3665652 - 02.07.2015 15:45 - Giuseppe Ferro

Fixed code accordingly with revision.
#125

Revision 8c11cd66 - 02.07.2015 16:16 - Giuseppe Ferro

Minor changes
#125 #126

Revision 0e8393ed - 02.07.2015 16:40 - Giuseppe Ferro

Fixed code accordingly with revision.
#125

Revision 3b61ad41 - 02.07.2015 16:58 - Giuseppe Ferro
Fixed
#125

History

#1 - 29.05.2015 16:06 - André Neto

- Target version changed from Backlog to 0.1

#2 - 03.06.2015 09:31 - André Neto

- Status changed from New to Arch: Impl

#3 - 03.06.2015 10:03 - Riccardo Vitelli

- Target version changed from 0.1 to Backlog

#4 - 03.06.2015 10:14 - Riccardo Vitelli
- Description updated

- Status changed from Arch: Impl to New
- Target version changed from Backlog to 0.1

- Estimated time set to 16.00 h

#5 - 04.06.2015 09:15 - Riccardo Vitelli

- Status changed from New to Arch: Rev

#6 - 04.06.2015 09:15 - Riccardo Vitelli

- Assignee set to André Neto

#7 - 04.06.2015 14:37 - André Neto

- Description updated

#8 - 04.06.2015 14:38 - André Neto

- Description updated

#9 - 05.06.2015 10:47 - Riccardo Vitelli
- Status changed from Arch: Rev to Code: Impl

#10 - 05.06.2015 10:47 - Riccardo Vitelli

- Assignee changed from André Neto to Giuseppe Ferro

#11 - 08.06.2015 09:24 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev

#12 - 08.06.2015 09:24 - Riccardo Vitelli

- Assignee changed from Giuseppe Ferro to Ivan Herrero

#13 - 09.06.2015 16:07 - lvan Herrero

- Description updated

#14 - 10.06.2015 09:18 - Riccardo Vitelli

- Assignee changed from Ivan Herrero to Giuseppe Ferro

#15 - 10.06.2015 09:18 - Riccardo Vitelli
- Status changed from Code: Rev to Code: Impl

#16 - 12.06.2015 10:29 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev

#17 - 12.06.2015 11:16 - Riccardo Vitelli

- Assignee changed from Giuseppe Ferro to Ivan Herrero

#18 - 16.06.2015 15:47 - lvan Herrero

- Description updated

#19 - 16.06.2015 16:04 - lvan Herrero

- Description updated

#20 - 16.06.2015 16:12 - lvan Herrero

- Description updated

#21 -17.06.2015 17:16 - lvan Herrero

- Description updated

#22 - 18.06.2015 09:48 - lvan Herrero

- Assignee changed from Ivan Herrero to Giuseppe Ferro
#23 - 18.06.2015 15:23 - lvan Herrero

- Description updated

#24 - 18.06.2015 15:23 - Ivan Herrero
- Status changed from Code: Rev to Unit: Impl

#25 - 18.06.2015 15:24 - Ivan Herrero
- Status changed from Unit: Impl to Code: Rev
- Assignee deleted (Giuseppe Ferro)

#26 - 18.06.2015 15:24 - Ivan Herrero
- Status changed from Code: Rev to Unit: Impl

#27 - 18.06.2015 18:18 - Ivan Herrero

Code and documentation review passed. Unit testing implementation pending.

#28 - 22.06.2015 17:36 - Riccardo Vitelli

- Assignee set to Giuseppe Ferro

#29 - 23.06.2015 18:08 - André Neto
- Status changed from Unit: Impl to Unit: Rev

#30 - 23.06.2015 18:09 - André Neto
- Assignee deleted (Giuseppe Ferro)

#31 - 30.06.2015 16:45 - Ivan Herrero
- Description updated

- Assignee set to Ivan Herrero

Unit test review done.

#32 - 01.07.2015 16:18 - lvan Herrero

- Description updated

#33 - 01.07.2015 16:29 - lvan Herrero

- Description updated

#34 - 01.07.2015 17:57 - Riccardo Vitelli

- Assignee deleted (lvan Herrero)

#35 - 01.07.2015 17:59 - Riccardo Vitelli
- Status changed from Unit: Rev to Unit: Impl

#36 - 02.07.2015 15:49 - Riccardo Vitelli
- Status changed from Unit: Impl to Unit: Rev

#37 - 02.07.2015 15:50 - Riccardo Vitelli

- Assignee set to Ivan Herrero

#38 - 02.07.2015 16:40 - Riccardo Vitelli

- Status changed from Unit: Rev to Closed

#39 - 02.07.2015 16:43 - Ilvan Herrero
- Description updated

- Status changed from Closed to Unit: Rev
Unit test review made on revision 0e8393e [PASS]

#40 - 02.07.2015 16:43 - Riccardo Vitelli
- Status changed from Unit: Rev to Closed

- Assignee deleted (Ilvan Herrero)
